import requests
from bs4 import BeautifulSoup
import json

# Define the URL of the website you want to scrape
url = input("Enter the website URL in https:// or http://: ")

# Send an HTTP GET request to the URL
if url.startswith("http://") or url.startswith("https://"):
 response = requests.get(url) 
else:
    print("invalid URL!")

# Check if the request was successful (status code 200)
if response.status_code == 200:
    # Parse the HTML content of the webpage using BeautifulSoup
    soup = BeautifulSoup(response.text, 'html.parser')
    
    # Extract the data you want from the webpage, for example, let's say you want to extract all the links
    links = []
    for link in soup.find_all('a'):
        links.append({
            "text": link.text,
            "href": link.get('href')
        })
    
    # Serialize the data to JSON
    json_data = json.dumps(links, indent=4)
    
    # Print or save the JSON data
    print(json_data)

else:
    print("Failed to retrieve the webpage. Status code:", response.status_code)
